int imsgf(void) {return 0;}
int group_getgroupid(int x) {return x;}
int cmd_finish(int chan){return 1;}
char *group_status(void){return 0;}
/*String *hist_status(void){return NULL;}*/
char *hist_status(void){return 0;}

int ihavein_clear(int i) {return 0;}
void chan_newchan(int c) {}
int chan_isfree(int c){return 1;}
int chan_nusers(void){ return 0;}
char *chan_elimit(void){return "";}

void chan_init(int c)
{
}
void access_read(void)
{

}
void channel_read(int c)
{}
int chan_canpost(int c)
{
	return !0;
}
char *chan_getipname(int c)
{
	return "";
}
void chan_setipname(int c, char *s)
{
}
void chan_setipnum(int c, char *s)
{
}
int chan_cantalk(int c)
{
	return !0;
}
void suck_do(void) {}
char *group_namelc_x(int x,char *f, int n) {return "nogroupname";}
char *group_namelc(int x) {return "nogroupname";}
void stats_cmd(char *s) {}
void stats_end(char *s) {}
char *chan_getipnum(int n)
{
	return "xxx";
}
